Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class QElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.QElement

public class QElement
extends SinglePartElement

A QElement is used for quotes or citations that appear inline a document. It is a text rendering element that is similar to BlockquoteElement, except that a BlockquoteElement is generally displayed as an indented block, while a QElement appears in line in the text.

This HTML element is specified by HTML 4.0 and may not be available in all browsers.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `BlockquoteElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`QElement()` Deprecated. Constructs an empty QElement.
`QElement(java.lang.String contents)` Deprecated. Constructs a QElement with the specified string.
`QElement(java.lang.String contents, java.lang.String url)` Deprecated. Constructs a QElement with the specified String, and sets the CITE attribute to the URL for the source document or message.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`QElement` | `setCitation(java.lang.String url)` Deprecated. Sets the citation for a QElement.
`QElement` | `setContents(java.lang.String contents)` Deprecated. Sets the contents of a QElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QElement

    public QElement()

  Deprecated.
  Constructs an empty QElement.

### QElement

    public QElement(java.lang.String contents)

  Deprecated.
  Constructs a QElement with the specified string.

  Parameters:
    `contents` - Cited string

### QElement

    public QElement(java.lang.String contents,
                    java.lang.String url)

  Deprecated.
  Constructs a QElement with the specified String, and sets the CITE attribute to the URL for the source document or message.

  Parameters:
    `contents` - Cited string
    `url` - URL for source document or msg

Method Detail

### setContents

    public QElement setContents(java.lang.String contents)

  Deprecated.
  Sets the contents of a QElement.

  Parameters:
    `contents` - Cited string
  Returns:
    QElement

### setCitation

    public QElement setCitation(java.lang.String url)

  Deprecated.
  Sets the citation for a QElement.

  Parameters:
    `url` - URL for source document or msg
  Returns:
    QElement

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD